"""PDF to text file converter for Document Library"""

from os import listdir, popen, remove
from time import time

content_type = 'application/pdf'

content_description = """Adobe Acrobat PDF [<a href="http://www.adobe.com/products/acrobat/readstep2.html" target="_blank">Download Acrobat Reader</a>]"""

tmp_path = '/tmp'

# Uses the built-in linux pdftotext command, and assumes it is in the path
# Requires write access to /tmp

def convert(data):
    """Convert pdf data to raw text"""
    
    tmp_dir = listdir(tmp_path)
    tmp_name = ''

    while (not tmp_name) or (tmp_name in tmp_dir):
        # Pick a unique name for the tmp file
        tmp_name = tmp_path + '/pdf_tmp_' + str(time())
    
    tmp_file = open(tmp_name, 'wb')
    tmp_file.write(data)
    tmp_file.close()
    text = popen('pdftotext %s -' % tmp_name).read()
    remove(tmp_name)
    
    return text
